module PredicsisMlSdk
  module JobStuff
    attr_accessor :job

    def jobs
      Job.all(@token).select do |job|
        job.runnable_id.eql? @id
      end
    end

    def job
      return nil if @job_ids.empty?
      Job.get(@job_ids.last, @token)
    end

    def terminated?
      return true if @job_ids.empty?
      job.terminated?
    end

    def wait_for_result
      return if @job_ids.empty?
      sleep(1) until job.terminated?
      get
    end
  end
end
