module PredicsisMlSdk
  class DataFile
    include Util

    attr_accessor :id

    def self.get(id, token = bearer_token)
      new(id, token).get
    end

    def self.get_signed_url(id, token = bearer_token)
      new(id, token).get_signed_url
    end

    def initialize(id, token = bearer_token)
      @token = token
      @id = id
    end

    def get
      data = Requests.get_data_file(token, id)
      define_attributes(data)
      self
    end

    def get_signed_url
      data = Requests.get_signed_url(token, id)
      define_attributes(data)
      self
    end
  end
end
