module PredicsisMlSdk
  class Error < StandardError
    attr_reader :error

    def initialize(message = nil, error = nil)
      super(message)
      @error = error
    end
  end

  class JobError < Error
    attr_reader :job_id, :action

    def initialize(errors = nil, job_id = nil, action = nil)
      @job_id = job_id
      @action = action
      @errors = errors
      super(errors.map { |e| e['message'] }.join('. '), errors)
    end
  end

  class RequestError < Error; end
end
